For the complete documentation index, see llms.txt. This page is also available as Markdown.

Topics

Lists all Topic objects.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

Responses
200

Success

application/json

Response of a List Topics request.

countinteger · int32Optional

Total number of Topic objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/Topics/{strSessionID}
GET /memori/v2/Topics/{strSessionID} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "topics": [
    {
      "topicID": "text",
      "name": "text",
      "weight": 1,
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Lists Topic objects with pagination.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

frominteger · int32Required

The 0-based index of the first Topic object to list

howManyinteger · int32Required

The number of the Topic objects to list

Responses
200

Success

application/json

Response of a List Topics request.

countinteger · int32Optional

Total number of Topic objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/Topics/{strSessionID}/{from}/{howMany}
GET /memori/v2/Topics/{strSessionID}/{from}/{howMany} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "topics": [
    {
      "topicID": "text",
      "name": "text",
      "weight": 1,
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Gets the details of a Topic object.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

strTopicIDstringRequired

The Topic object ID

Responses
200

Success

application/json

Response of a Get Topic request.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/Topic/{strSessionID}/{strTopicID}
GET /memori/v2/Topic/{strSessionID}/{strTopicID} HTTP/1.1
Accept: */*
200

Success

{
  "topic": {
    "topicID": "text",
    "name": "text",
    "weight": 1,
    "creationTimestamp": "2026-01-01T00:00:00.000Z",
    "creationSessionID": "text",
    "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
    "lastChangeSessionID": "text"
  },
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Lists all User objects referencing a specified Topic object.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

strTopicIDstringRequired

The Topic object ID

Responses
200

Success

application/json

Response of a List Users request.

countinteger · int32Optional

Total number of User objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/TopicUsers/{strSessionID}/{strTopicID}
GET /memori/v2/TopicUsers/{strSessionID}/{strTopicID} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "users": [
    {
      "userID": "text",
      "externalUserID": "text",
      "userName": "text",
      "tenantName": "text",
      "email": "text",
      "disableDeepThought": true,
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Lists User objects referencing a specified Topic object, with pagination.

get

This API requires a Giver session.

Path parameters
strSessionIDstringRequired

The session ID

strTopicIDstringRequired

The Topic object ID

frominteger · int32Required

The 0-based index of the first User object to list

howManyinteger · int32Required

The number of User objects to list

Responses
200

Success

application/json

Response of a List Users request.

countinteger · int32Optional

Total number of User objects.

requestIDinteger · int64Optional

Progressive number of the request (since the Server started). Use this number, together with the RequestDateTime property, to report an anomalous response.

requestDateTimestring · date-timeOptional

Timestamp of the request. Use this timestamp, together with the RequestID property, to report an anomalous response.

resultCodeinteger · int32Optional

Result code. A code of 0 means no errors. When the request fails, its value is equivalent to the HTTP status code.

resultMessagestring · nullableOptional

Result message. A message of Ok means no errors.

get/memori/v2/TopicUsers/{strSessionID}/{strTopicID}/{from}/{howMany}
GET /memori/v2/TopicUsers/{strSessionID}/{strTopicID}/{from}/{howMany} HTTP/1.1
Accept: */*
200

Success

{
  "count": 1,
  "users": [
    {
      "userID": "text",
      "externalUserID": "text",
      "userName": "text",
      "tenantName": "text",
      "email": "text",
      "disableDeepThought": true,
      "creationTimestamp": "2026-01-01T00:00:00.000Z",
      "creationSessionID": "text",
      "lastChangeTimestamp": "2026-01-01T00:00:00.000Z",
      "lastChangeSessionID": "text"
    }
  ],
  "requestID": 1,
  "requestDateTime": "2026-01-01T00:00:00.000Z",
  "resultCode": 1,
  "resultMessage": "text"
}

Last updated